> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/sdk/models/movehealthitem.md).

# MoveHealthItem

{% hint style="info" %}
**Note:** `MoveHealthScore` is for diagnostic purposes only. It helps identify potential integration issues.
{% endhint %}

{% hint style="info" %}
**Note:** Health monitoring uses platform-specific models. iOS and React Native use `MoveHealthItem`. Android uses `MoveHealthScore`. Flutter uses `MoveHealthItem` with a simplified structure (reason + description only).
{% endhint %}

{% tabs %}
{% tab title="iOS" %}

```swift
struct MoveHealthItem {
    enum Reason: String {
        case batteryLevel
        case cpuUsage
        case diskUsage
        case internetUsage
        case memoryUsage
        case newVersion
        case unimplementedListeners
    }

    let reason: Reason
    let description: String
}

```

{% endtab %}

{% tab title="React Native" %}

```typescript
export type HealthReasons =
  | 'BATTERY_LEVEL'
  | 'CPU_USAGE'
  | 'DISK_USAGE'
  | 'INTERNET_USAGE'
  | 'MEMORY_USAGE'
  | 'NEW_VERSION'
  | 'UNIMPLEMENTED_LISTENERS';
```

```typescript
export type HealthListItem = {
  reason: HealthReasons;
  description: string;
};
```

{% endtab %}

{% tab title="Flutter" %}

```dart
class MoveHealthItem {
  final MoveHealthReason reason;  // Health event reason
  final String description;       // Human-readable description
}

enum MoveHealthReason {
  batteryLevel,
  cpuUsage,
  diskUsage,
  internetUsage,
  memoryUsage,
  newVersion,
  unimplementedListeners,
}
```

{% endtab %}
{% endtabs %}

<table data-header-hidden><thead><tr><th width="237.5"></th><th></th><th></th></tr></thead><tbody><tr><td><strong>MoveHealthItem</strong></td><td></td><td></td></tr><tr><td>reason</td><td><strong>MoveHealthItem.Reason</strong></td><td>Reason for the health report issue.</td></tr><tr><td>description</td><td>String</td><td>Description of the issue.</td></tr><tr><td></td><td></td><td></td></tr><tr><td><strong>Reason</strong></td><td>String</td><td></td></tr><tr><td>memoryUsage</td><td></td><td>High memory usage.</td></tr><tr><td>cpuUsage</td><td></td><td>High CPU usage.</td></tr><tr><td>diskUsage</td><td></td><td>Not reported on iOS.</td></tr><tr><td>batteryLevel</td><td></td><td>Low battery.</td></tr><tr><td>internetUsage</td><td></td><td>No internet.</td></tr><tr><td>newVersion</td><td></td><td>New version available.</td></tr><tr><td>unimplementedListeners</td><td></td><td>Any of the required listeners was unimplemented. See: <a href="/pages/FhpTT294s7lEJpP6qQXa">Setup</a>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/movehealthitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
